{
	"name": "bkunyun-demo",
	"version": "0.1.0",
	"private": true,
	"proxy": "",
	"homepage": "/v3/",
	"dependencies": {
		"@babel/core": "^7.16.0",
		"@emotion/react": "^11.9.3",
		"@emotion/styled": "^11.8.1",
		"@mui/icons-material": "^5.6.2",
		"@mui/lab": "^5.0.0-alpha.84",
		"@mui/material": "^5.6.4",
		"@mui/styles": "^5.8.0",
		"@pmmmwh/react-refresh-webpack-plugin": "^0.5.3",
		"@svgr/webpack": "^5.5.0",
		"@testing-library/jest-dom": "^5.16.4",
		"@testing-library/react": "^13.2.0",
		"@testing-library/user-event": "^13.5.0",
		"@types/jest": "^27.5.0",
		"@types/node": "^16.11.33",
		"@types/react": "^18.0.9",
		"@types/react-dom": "^18.0.3",
		"@uiw/react-codemirror": "^4.12.4",
		"ahooks": "^3.3.12",
		"axios": "^0.27.2",
		"babel-jest": "^27.4.2",
		"babel-loader": "^8.2.3",
		"babel-plugin-named-asset-import": "^0.3.8",
		"babel-preset-react-app": "^10.0.1",
		"bfj": "^7.0.2",
		"browserslist": "^4.18.1",
		"camelcase": "^6.2.1",
		"case-sensitive-paths-webpack-plugin": "^2.4.0",
		"classnames": "^2.3.1",
		"crypto-js": "^4.1.1",
		"css-loader": "^6.5.1",
		"css-minimizer-webpack-plugin": "^3.2.0",
		"dotenv": "^10.0.0",
		"dotenv-expand": "^5.1.0",
		"eslint": "^8.3.0",
		"eslint-config-react-app": "^7.0.1",
		"eslint-webpack-plugin": "^3.1.1",
		"file-loader": "^6.2.0",
		"fs-extra": "^10.0.0",
		"html-webpack-plugin": "^5.5.0",
		"identity-obj-proxy": "^3.0.0",
		"immer": "^9.0.12",
		"jest": "^27.4.3",
		"jest-resolve": "^27.4.2",
		"jest-watch-typeahead": "^1.0.0",
		"js-base64": "^3.7.2",
		"kekule": "^0.9.7",
		"lodash": "^4.17.21",
		"mini-css-extract-plugin": "^2.4.5",
		"mobx": "^6.5.0",
		"mobx-react": "^7.4.0",
		"mobx-react-lite": "^3.4.0",
		"mockjs": "^1.1.0",
		"moment": "^2.29.3",
		"ngl": "^0.10.4",
		"postcss": "^8.4.4",
		"postcss-flexbugs-fixes": "^5.0.2",
		"postcss-loader": "^6.2.1",
		"postcss-normalize": "^10.0.1",
		"postcss-preset-env": "^7.0.1",
		"prompts": "^2.4.2",
		"qs": "^6.10.3",
		"react": "^18.1.0",
		"react-app-polyfill": "^3.0.0",
		"react-dev-utils": "^12.0.1",
		"react-dom": "^18.1.0",
		"react-dropzone": "^14.2.1",
		"react-flow-renderer": "^10.3.7",
		"react-refresh": "^0.11.0",
		"react-router-dom": "^6.3.0",
		"resolve": "^1.20.0",
		"resolve-url-loader": "^4.0.0",
		"sass-loader": "^12.3.0",
		"semver": "^7.3.5",
		"source-map-loader": "^3.0.0",
		"style-loader": "^3.3.1",
		"tailwindcss": "^3.0.2",
		"terser-webpack-plugin": "^5.2.5",
		"tss-react": "^3.7.0",
		"tus-js-client": "2.1.1",
		"typescript": "^4.6.4",
		"use-immer": "^0.7.0",
		"web-vitals": "^2.1.4",
		"webpack": "^5.64.4",
		"webpack-dev-server": "^4.6.0",
		"webpack-manifest-plugin": "^4.0.2",
		"workbox-webpack-plugin": "^6.4.1"
	},
	"scripts": {
		"start:master": "set \"REACT_APP_ENV=master\" && npm start",
		"start:dev-cn": "set \"REACT_APP_ENV=dev-cn\" && npm start",
		"start:dev-en": "set \"REACT_APP_ENV=dev-en\" && npm start",
		"start:release-cn": "set \"REACT_APP_ENV=release-cn\" && npm start",
		"start:release-en": "set \"REACT_APP_ENV=release-en\" && npm start",
		"start": "node scripts/start.js",
		"build:master": "node --max-old-space-size=6144 scripts/build-master.js",
		"build:dev-cn": "node --max-old-space-size=6144 scripts/build-dev-cn.js",
		"build:dev-en": "node --max-old-space-size=6144 scripts/build-dev-en.js",
		"build:release-cn": "node --max-old-space-size=6144 scripts/build-release-cn.js",
		"build:release-en": "node --max-old-space-size=6144 scripts/build-release-en.js",
		"build": "node scripts/build.js",
		"test": "node scripts/test.js"
	},
	"eslintConfig": {
		"extends": [
			"react-app",
			"react-app/jest"
		]
	},
	"browserslist": {
		"production": [
			">0.2%",
			"not dead",
			"not op_mini all"
		],
		"development": [
			"last 1 chrome version",
			"last 1 firefox version",
			"last 1 safari version"
		]
	},
	"jest": {
		"roots": [
			"<rootDir>/src"
		],
		"collectCoverageFrom": [
			"src/**/*.{js,jsx,ts,tsx}",
			"!src/**/*.d.ts"
		],
		"setupFiles": [
			"react-app-polyfill/jsdom"
		],
		"setupFilesAfterEnv": [
			"<rootDir>/src/setupTests.ts"
		],
		"testMatch": [
			"<rootDir>/src/**/__tests__/**/*.{js,jsx,ts,tsx}",
			"<rootDir>/src/**/*.{spec,test}.{js,jsx,ts,tsx}"
		],
		"testEnvironment": "jsdom",
		"transform": {
			"^.+\\.(js|jsx|mjs|cjs|ts|tsx)$": "<rootDir>/config/jest/babelTransform.js",
			"^.+\\.css$": "<rootDir>/config/jest/cssTransform.js",
			"^(?!.*\\.(js|jsx|mjs|cjs|ts|tsx|css|json)$)": "<rootDir>/config/jest/fileTransform.js"
		},
		"transformIgnorePatterns": [
			"[/\\\\]node_modules[/\\\\].+\\.(js|jsx|mjs|cjs|ts|tsx)$",
			"^.+\\.module\\.(css|sass|scss)$"
		],
		"modulePaths": [],
		"moduleNameMapper": {
			"^react-native$": "react-native-web",
			"^.+\\.module\\.(css|sass|scss)$": "identity-obj-proxy"
		},
		"moduleFileExtensions": [
			"web.js",
			"js",
			"web.ts",
			"ts",
			"web.tsx",
			"tsx",
			"json",
			"web.jsx",
			"jsx",
			"node"
		],
		"watchPlugins": [
			"jest-watch-typeahead/filename",
			"jest-watch-typeahead/testname"
		],
		"resetMocks": true
	},
	"babel": {
		"presets": [
			"react-app"
		]
	},
	"devDependencies": {
		"@babel/standalone": "^7.19.5",
		"@types/crypto-js": "^4.1.1",
		"@types/mockjs": "^1.0.6",
		"raw-loader": "^4.0.2"
	}
}
